/*
 * @Description:: 请补充填写
 * @Version: 请配置版本号
 * @Author: 舟舟
 * @Date: 2022-06-25 22:53:34
 * @LastEditors: 舟舟
 * @LastEditTime: 2022-07-29 08:30:03
 * @FilePath: /ouicai_web_framework_vite_ep_nolang/src/utils/layout.ts
 */
import { CSSProperties } from 'vue'
import { useNavTabs } from '/@/stores/navTabs'

/**
 * main高度
 * @param extra main高度额外减去的px数,可以实现隐藏原有的滚动条
 * @returns CSSProperties
 */
export function mainHeight(extra: number = 0): CSSProperties {
    const navTabs = useNavTabs()

    let height = extra
    if (!navTabs.state.tabFullScreen) {
        height += 75
    }
    return {
        height: 'calc(100vh - ' + height.toString() + 'px)',
    }
}
